/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Product criteria.
 */
@ApiModel(description = "Product criteria.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model213 {
  @SerializedName("catalog")
  private Model212 catalog = null;

  @SerializedName("product_code")
  private String productCode = null;

  public Model213 catalog(Model212 catalog) {
    this.catalog = catalog;
    return this;
  }

   /**
   * Get catalog
   * @return catalog
  **/
  @ApiModelProperty(required = true, value = "")
  public Model212 getCatalog() {
    return catalog;
  }

  public void setCatalog(Model212 catalog) {
    this.catalog = catalog;
  }

  public Model213 productCode(String productCode) {
    this.productCode = productCode;
    return this;
  }

   /**
   * Desired product code.
   * @return productCode
  **/
  @ApiModelProperty(example = "KV5-33", value = "Desired product code.")
  public String getProductCode() {
    return productCode;
  }

  public void setProductCode(String productCode) {
    this.productCode = productCode;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model213 model213 = (Model213) o;
    return Objects.equals(this.catalog, model213.catalog) &&
        Objects.equals(this.productCode, model213.productCode);
  }

  @Override
  public int hashCode() {
    return Objects.hash(catalog, productCode);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model213 {\n");
    
    sb.append("    catalog: ").append(toIndentedString(catalog)).append("\n");
    sb.append("    productCode: ").append(toIndentedString(productCode)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

